package com.dji.sdk.cloudapi.device;

/**
 * @author hqjiang
 * @version 0.1
 * @date 2024/8/21
 */
public class CameraWatermarkSettings {


    private BaseStateEnum globalEnable;

    private BaseStateEnum droneTypeEnable;

    private BaseStateEnum droneSnEnable;

    private BaseStateEnum datetimeEnable;

    private BaseStateEnum gpsEnable;

    private BaseStateEnum userCustomStringEnable;

    private String userCustomString;

    private LayoutEnum layout;

    public CameraWatermarkSettings() {
    }

    @Override
    public String toString() {
        return "CameraWatermarkSettings{" +
                "globalEnable='" + globalEnable + '\'' +
                ", droneTypeEnable=" + droneTypeEnable +
                ", droneSnEnable=" + droneSnEnable +
                ", datetimeEnable=" + datetimeEnable +
                ", gpsEnable='" + gpsEnable + '\'' +
                ", userCustomStringEnable=" + userCustomStringEnable +
                ", userCustomString=" + userCustomString +
                ", layout=" + layout +
                '}';
    }

    public BaseStateEnum getGlobalEnable() {
        return globalEnable;
    }

    public CameraWatermarkSettings setGlobalEnable(BaseStateEnum globalEnable) {
        this.globalEnable = globalEnable;
        return this;
    }

    public BaseStateEnum getDroneTypeEnable() {
        return droneTypeEnable;
    }

    public CameraWatermarkSettings setDroneTypeEnable(BaseStateEnum droneTypeEnable) {
        this.droneTypeEnable = droneTypeEnable;
        return this;
    }

    public BaseStateEnum getDroneSnEnable() {
        return droneSnEnable;
    }

    public CameraWatermarkSettings setDroneSnEnable(BaseStateEnum droneSnEnable) {
        this.droneSnEnable = droneSnEnable;
        return this;
    }

    public BaseStateEnum getDatetimeEnable() {
        return datetimeEnable;
    }

    public CameraWatermarkSettings setDatetimeEnable(BaseStateEnum datetimeEnable) {
        this.datetimeEnable = datetimeEnable;
        return this;
    }

    public BaseStateEnum getGpsEnable() {
        return gpsEnable;
    }

    public CameraWatermarkSettings setGpsEnable(BaseStateEnum gpsEnable) {
        this.gpsEnable = gpsEnable;
        return this;
    }

    public BaseStateEnum getUserCustomStringEnable() {
        return userCustomStringEnable;
    }

    public CameraWatermarkSettings setUserCustomStringEnable(BaseStateEnum userCustomStringEnable) {
        this.userCustomStringEnable = userCustomStringEnable;
        return this;
    }

    public String getUserCustomString() {
        return userCustomString;
    }

    public CameraWatermarkSettings setUserCustomString(String userCustomString) {
        this.userCustomString = userCustomString;
        return this;
    }

    public LayoutEnum getLayout() {
        return layout;
    }

    public CameraWatermarkSettings setLayout(LayoutEnum layout) {
        this.layout = layout;
        return this;
    }
}